summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVishal Bhoj <vishal.bhoj@linaro.org>2016-10-19 05:59:33 +0000
committerLinaro Android Code Review <android-review@review.linaro.org>2016-10-19 05:59:33 +0000
commit9157e365555d6df61d94ecbce1a8759269406578 (patch)
treecb05e8a476e845a8331ca44870f6f50267e237e5
parenta24a106809a379efb2eaf917331fb5f97a63ffe6 (diff)
parent340fbc21e758c76d8dba1430acd7d352ad6a3455 (diff)
downloadandroid-patchsets-9157e365555d6df61d94ecbce1a8759269406578.tar.gz
Merge "x15-n-workarounds: add patchset for x15 building"
-rwxr-xr-xx15-n-workarounds29
1 files changed, 29 insertions, 0 deletions
diff --git a/x15-n-workarounds b/x15-n-workarounds
new file mode 100755
index 0000000..175ed01
--- /dev/null
+++ b/x15-n-workarounds
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+. $(dirname $0)/functions
+
+PATCHES=0
+if [ -n "$1" ]; then
+ AOSP="$1"
+else
+ AOSP="`pwd`"
+fi
+
+if ! [ -d "$AOSP" ] && ! [ -d "$AOSP/bionic" ] && [ -d "$AOSP"/build ]; then
+ echo "This script must be run from the AOSP source directory"
+ echo "or with the AOSP source directory as its first parameter."
+ exit 1
+fi
+
+##################################################
+################ Linaro hack ###################
+##################################################
+## DRM patches for TI X15
+## https://android-review.linaro.org/#/c/17278
+## https://android-review.linaro.org/#/c/17279
+## https://android-review.linaro.org/#/c/17280
+## https://android-review.linaro.org/#/c/17281
+apply --linaro external/libdrm 17278/1
+apply --linaro external/libdrm 17279/1
+apply --linaro external/libdrm 17280/1
+apply --linaro external/libdrm 17281/1